Post by drrevans » Sat Jan 01, 2022 2:09 pm

I am trying to upgrade to opencart 2.0.3.1. I am getting this when logging into the Admin: Warning: fopen(/system/logs/): failed to open stream: No such file or directory in C:\xampp\htdocs\store\system\library\log.php on line 6
which is this:
public function __construct($filename) {
$this->handle = fopen(DIR_LOGS . $filename, 'a');
}

The folder exists that it is talking about and I have these entries in the config.php file:
define('DIR_LOGS', 'C:\xampp\htdocs\store/system/logs/');
define('DIR_SYSTEM', 'C:\xampp\htdocs\store/system/');
define('DIR_STORAGE', DIR_SYSTEM . '/storage/');

New member

Posts

Joined
Mon Nov 29, 2021 1:31 am

Post by ADD Creative » Sat Jan 01, 2022 11:34 pm

Have you also checked admin/config.php? Have you tried changing \ to /?

www.add-creative.co.uk


Expert Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by xxvirusxx » Sun Jan 02, 2022 3:44 am

Are you still struggling to upgrade from 1.5.6.4 to 3.0.3.8?

My Converted Modules | Opencart Upgrade Service | Free Dashboard Maps | Buy me a beer | My Custom OC 3.0.3.8


User avatar
Expert Member

Posts

Joined
Tue Jul 17, 2012 10:35 pm
Location - România

Post by drrevans » Sun Jan 02, 2022 4:59 am

xxvirusxx wrote:
Sun Jan 02, 2022 3:44 am
Are you still struggling to upgrade from 1.5.6.4 to 3.0.3.8?
I am trying to get to 2.3.X first and then to 3.X This has been so challenging and I don't remember having this much trouble when I originally installed the store.

New member

Posts

Joined
Mon Nov 29, 2021 1:31 am

Post by JNeuhoff » Sun Jan 02, 2022 8:14 pm

Don't use OpenCart's builtin upgrade, it will most likely fail.

It far easier to do a fresh installation of a new OC 3.0.3.x release. You can use the free Export/Import tool to copy your old data over to your new OpenCart, see our FAQ on this.

Once the new OpenCart server is up and running, install any extensions and your web theme as needed. Double check that your extensions are actually available for the new OpenCart version.

Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * Number Option * Google Rich Snippets * Google Tag Manager * Export/Import Tool * SpamBot Buster * Survey Plus


User avatar
Guru Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by drrevans » Mon Jan 03, 2022 5:16 am

JNeuhoff wrote:
Sun Jan 02, 2022 8:14 pm
Don't use OpenCart's builtin upgrade, it will most likely fail.

It far easier to do a fresh installation of a new OC 3.0.3.x release. You can use the free Export/Import tool to copy your old data over to your new OpenCart, see our FAQ on this.

Once the new OpenCart server is up and running, install any extensions and your web theme as needed. Double check that your extensions are actually available for the new OpenCart version.
You are absolutely right which I got fed up with it and did a fresh OC 3.03x release and so far it is working. I purchased a new theme and it is working fine and now I am getting ready to add my products.

New member

Posts

Joined
Mon Nov 29, 2021 1:31 am

Post by straightlight » Mon Jan 03, 2022 7:58 am

drrevans wrote:
Mon Jan 03, 2022 5:16 am
JNeuhoff wrote:
Sun Jan 02, 2022 8:14 pm
Don't use OpenCart's builtin upgrade, it will most likely fail.

It far easier to do a fresh installation of a new OC 3.0.3.x release. You can use the free Export/Import tool to copy your old data over to your new OpenCart, see our FAQ on this.

Once the new OpenCart server is up and running, install any extensions and your web theme as needed. Double check that your extensions are actually available for the new OpenCart version.
You are absolutely right which I got fed up with it and did a fresh OC 3.03x release and so far it is working. I purchased a new theme and it is working fine and now I am getting ready to add my products.
Now that the issue has been solved, please add: [SOLVED] at the beginning of the subject line on your first post.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by drrevans » Mon Jan 03, 2022 8:57 am

straightlight wrote:
Mon Jan 03, 2022 7:58 am

Now that the issue has been solved, please add: [SOLVED] at the beginning of the subject line on your first post.
The issue is still not resolved. I just moved on to another version of the cart.

New member

Posts

Joined
Mon Nov 29, 2021 1:31 am

Post by straightlight » Mon Jan 03, 2022 10:04 pm

drrevans wrote:
Mon Jan 03, 2022 8:57 am
straightlight wrote:
Mon Jan 03, 2022 7:58 am

Now that the issue has been solved, please add: [SOLVED] at the beginning of the subject line on your first post.
The issue is still not resolved. I just moved on to another version of the cart.
Since you moved on to another version of Opencart, has the issue been resolved since?

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by drrevans » Tue Jan 04, 2022 6:20 am

straightlight wrote:
Mon Jan 03, 2022 10:04 pm
drrevans wrote:
Mon Jan 03, 2022 8:57 am
straightlight wrote:
Mon Jan 03, 2022 7:58 am

Now that the issue has been solved, please add: [SOLVED] at the beginning of the subject line on your first post.
The issue is still not resolved. I just moved on to another version of the cart.
Since you moved on to another version of Opencart, has the issue been resolved since?
It still does not work in the 2.x versions. I have read that this is a known problem which if they stopped using serialized in 2.x then why doesn't the upgrade accomodate for this. I did a fresh install and still had a problem.

New member

Posts

Joined
Mon Nov 29, 2021 1:31 am

Post by straightlight » Tue Jan 04, 2022 7:47 am

drrevans wrote:
Tue Jan 04, 2022 6:20 am
straightlight wrote:
Mon Jan 03, 2022 10:04 pm
drrevans wrote:
Mon Jan 03, 2022 8:57 am


The issue is still not resolved. I just moved on to another version of the cart.
Since you moved on to another version of Opencart, has the issue been resolved since?
It still does not work in the 2.x versions. I have read that this is a known problem which if they stopped using serialized in 2.x then why doesn't the upgrade accomodate for this. I did a fresh install and still had a problem.
Upgrade and fresh install to which OC version? More info needed here.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by ADD Creative » Tue Jan 04, 2022 8:04 am

drrevans wrote:
Tue Jan 04, 2022 6:20 am
It still does not work in the 2.x versions. I have read that this is a known problem which if they stopped using serialized in 2.x then why doesn't the upgrade accomodate for this. I did a fresh install and still had a problem.
It's not a known problem and the upgraded should convert to the new format. As stated in viewtopic.php?f=181&t=226771#p834668, it looks like you have upgraded the database and are using the new format, but your files are from an older version.

www.add-creative.co.uk


Expert Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by drrevans » Thu Jan 06, 2022 6:52 pm

ADD Creative wrote:
Tue Jan 04, 2022 8:04 am
drrevans wrote:
Tue Jan 04, 2022 6:20 am
It still does not work in the 2.x versions. I have read that this is a known problem which if they stopped using serialized in 2.x then why doesn't the upgrade accomodate for this. I did a fresh install and still had a problem.
It's not a known problem and the upgraded should convert to the new format. As stated in viewtopic.php?f=181&t=226771#p834668, it looks like you have upgraded the database and are using the new format, but your files are from an older version.

I am using the files from 2.0.3.8. I am using Xampp as the local host. I had not applied any of my old files. I will try it again.

New member

Posts

Joined
Mon Nov 29, 2021 1:31 am

Post by JNeuhoff » Thu Jan 06, 2022 7:05 pm

I am using the files from 2.0.3.8.
There is no 2.0.3.8 version of OpenCart. Why is it so hard for OC users to post the needed details in order for others to be able to help them?

Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * Number Option * Google Rich Snippets * Google Tag Manager * Export/Import Tool * SpamBot Buster * Survey Plus


User avatar
Guru Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by OSWorX » Thu Jan 06, 2022 7:49 pm

drrevans wrote:
Thu Jan 06, 2022 6:52 pm
I am using the files from 2.0.3.8. I am using Xampp as the local host. I had not applied any of my old files. I will try it again.
Don't know what you are always "producing"!

1. Simply get the package from here: https://www.opencart.com/index.php?rout ... load_id=47
2. install it fresh in your XAMPP (matter of 40 seconds)
3. convert the needed database tables (e.g. order & products) and import them into the new created tables of 2.3.0.2 (may need 1,2 hours)

Ready.

No more posts about unknown "whateverelse" etc.
Instead a working webshop.

Just one final note: you should use at least php 7.3.x (no 5.x or earlier)!
When you use the default package 2.3.0.2, the mycrpt extension is obsolete and you will get warnings (and the installation will not finish).
Therefore get these here:
1. https://osworx.net/OpenCart-2.3.x/OpenC ... -w-openSSL
2. https://osworx.net/OpenCart-2-3-0-2-Feh ... gungspaket

We use that packages at every new 2.3.x installation (without any further error etc.).

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by drrevans » Tue Jan 11, 2022 7:54 pm

OSWorX wrote:
Thu Jan 06, 2022 7:49 pm

Don't know what you are always "producing"!

1. Simply get the package from here: https://www.opencart.com/index.php?rout ... load_id=47
2. install it fresh in your XAMPP (matter of 40 seconds)
3. convert the needed database tables (e.g. order & products) and import them into the new created tables of 2.3.0.2 (may need 1,2 hours)

Ready.

No more posts about unknown "whateverelse" etc.
Instead a working webshop.

Just one final note: you should use at least php 7.3.x (no 5.x or earlier)!
When you use the default package 2.3.0.2, the mycrpt extension is obsolete and you will get warnings (and the installation will not finish).
Therefore get these here:
1. https://osworx.net/OpenCart-2.3.x/OpenC ... -w-openSSL
2. https://osworx.net/OpenCart-2-3-0-2-Feh ... gungspaket

We use that packages at every new 2.3.x installation (without any further error etc.).
Thank you. I will do this today.

New member

Posts

Joined
Mon Nov 29, 2021 1:31 am
Who is online

Users browsing this forum: No registered users and 6 guests